<?php

namespace Alipay\Kernel\Messages;

/**
 * Class Location.
 */
class Location extends Message
{
    /**
     * Messages type.
     *
     * @var string
     */
    protected $type = 'location';

    /**
     * Properties.
     *
     * @var array
     */
    protected $properties = [
        'latitude',
        'longitude',
        'scale',
        'label',
        'precision',
    ];
}
